=== debian/changelog ===
coco-cpp (20120102-3) unstable; urgency=medium

  * QA upload.
  * Convert to source format 3.0. (Closes: #1007373)
  * d/copyright: Convert to machine-readable format.

 -- Bastian Germann <bage@debian.org>  Sun, 06 Aug 2023 19:34:33 +0200

coco-cpp (20120102-2) unstable; urgency=medium

  * Orphan package (following discussion with René Mayrhofer, the former
    sponsor)
  * debheloper 13

 -- Moritz Muehlenhoff <jmm@debian.org>  Thu, 29 Dec 2022 02:03:06 +0100

coco-cpp (20120102-1) unstable; urgency=low

  * Now upstream release.
  * Support for "::" as a namespace separator on the command line.
  * Better readable parser, to support debugging.
  * Generate trace.txt into the output folder, if specified.
  * Minor bugfixes.

 -- Markus Loeberbauer <Loeberbauer@ssw.jku.at>  Sat, 21 Jan 2012 19:03:50 +0100

coco-cpp (20110419-3) unstable; urgency=low

  * fixed startup shell script

 -- Markus Loeberbauer <Loeberbauer@ssw.jku.at>  Mon, 07 Nov 2011 11:12:02 +0100

coco-cpp (20110419-2) unstable; urgency=low

  * Change: Suppress switch optimization if an alternative contains
    LL(1) warnings; and generate an if-else-if cascade instead.
  * Minor change: Code cleanup.

 -- Markus Loeberbauer <Loeberbauer@ssw.jku.at>  Thu, 30 Jun 2011 07:35:43 +0200

coco-cpp (20110419-1) unstable; urgency=low

  * New upstream release
  * Frame files provided as command line argument take now precedence
    over frame files in the source directory of the attributed grammar.
  * The namespace can be set as a directive in the attributed
    grammar: $namespace=NamespaceName
    if the namespace is set in the attributed grammar and on the command
    line, the command line argument takes precedence.
  * New option checkEOF: With the option checkEOF the user can specify
    whether the generated parser should check if the entire input has been
    consumed after parsing, i.e., if the token after the start symbol of
    the grammar is an end-of-file token. The user can enable or disable
    this check by the following directive in the attributed grammar:
    $checkEOF=true // enable the end of file check (default)
    $checkEOF=false // disable the end of file check
  * Support for UTF-8 input: The token stores the character position
    in Token.charPos.
  * Support for copyright sections in the generated files. If a
    file named Copyright.frame is provided, it will be included at
    the top of the generated scanner and parser.
  * Cleanup, removed the marker $$$ from the end of the frame files.
  * More robust scanner generation.
  * More robust UTF-8 handling in ParserGen.CopySourcePart and
    Scanner.GetString.
  * Minor change: Code cleanup.

 -- Markus Loeberbauer <Loeberbauer@ssw.jku.at>  Tue, 19 Apr 2011 14:24:43 +0200

coco-cpp (20090327-1) unstable; urgency=low

  * New upstream release
  * Support for pragmas which are part of terminal classes (thanks
    to Serge Voloshenyuk)
  * Scanner.frame, we assume now that every unknown compiler supports
    swprintf (thanks to John David Duncan)
  * #line directives for the parser, command line option -lines (thanks
    to Andrey Maykov)
  * Minor change: Code cleanup.

 -- Markus Loeberbauer <Loeberbauer@ssw.jku.at>  Fri, 27 Mar 2009 12:48:11 +0100

coco-cpp (20090105-1) unstable; urgency=low
  * New upstream release
  * Bugfix: Robust namespace generation, for nested namespaces
    (thanks to Seth Heeren).
  * Minor change: Added parenthesis around && expressions to satisfy
    paranoid c++ compilers (thanks to Andrey Maykov).
  * Minor change: Code cleanup.

 -- Markus Loeberbauer <Loeberbauer@ssw.jku.at>  Mon, 05 Jan 2009 14:04:00 +0100

coco-cpp (20081106-1) unstable; urgency=low

  * New upstram release
  * Minor change: Code cleanup.
  * Minor change: More robust Scanner, never assign Buffer.EOF to a char
                  (which results in an overflow, should do no harm).

 -- Markus Loeberbauer <Loeberbauer@ssw.jku.at>  Mon, 10 Nov 2008 11:15:00 +0100

coco-cpp (20081001-2) unstable; urgency=low

  * Bugfix in package: make clean failed when the build directory was clean.
    (Closes: #501048)
    (Closes: #501082)

 -- Markus Loeberbauer <Loeberbauer@ssw.jku.at>  Sat, 04 Oct 2008 09:50:00 +0100

coco-cpp (20081001-1) unstable; urgency=low

  * New upstream release
  * Bugfix: bug in the construction of the scanner automaton fixed.
  * Minor change: More robust Peek method is Scanner.
  * Minor change: Allow underscores (_) in identifiers.

 -- Markus Loeberbauer <Loeberbauer@ssw.jku.at>  Tue, 23 Sep 2008 22:15:00 +0100

coco-cpp (20070906-3) unstable; urgency=low

  * Minor change: Use only one variable 'i' in Scanner::Init(), support for
    old C++ compilers.
  * Minor change: Generate token codes as enumeration values instead of
    fields, simplifies the code.

 -- Markus Loeberbauer <Loeberbauer@ssw.jku.at>  Mon, 28 Jan 2008 10:49:00 +0100

coco-cpp (20070906-2) unstable; urgency=low

  * Better unicode support, Buffer::GetString(int beg, int end) returns now wide chars.

 -- Markus Loeberbauer <Loeberbauer@ssw.jku.at>  Mon, 23 Oct 2007 22:58:00 +0100

coco-cpp (20070906-1) unstable; urgency=medium

  * New upstream release
  * Bugfix: Buffer was defined as array of char which lead to troubles because
    of the signed nature of the type char. Fix: we use now unsigned char for
    the buffer.
  * Feature: Possibility to declare nested namespaces with the "-namespace"
    option. Just separate namespace names single colons, e.g.: Coco -namespace
    A:B Sample.atg
  * Update to version "Sep 6, 2007":
    Enhanced support for input streams: Previously we did support files via file
    names and file streams via input streams, but not non seek-able streams
    (e.g. network). Now we support both stream types. Please note since our
    memory buffer keeps the entire history of a stream, the maximum supported
    stream size is limited by the available memory and the runtime environment.


