=== debian/control ===
Source: coco-cpp
Section: devel
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13), g++
Standards-Version: 4.6.0
Homepage: http://www.ssw.uni-linz.ac.at/Research/Projects/Coco/

Package: coco-cpp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Coco/R Compiler Generator (C++ Version)
 Coco/R is a compiler generator, which takes an attributed grammar of a source
 language and generates a scanner and a parser for this language. The scanner
 works as a deterministic finite automaton. The parser uses recursive descent.
 LL(1) conflicts can be resolved by a multi-symbol lookahead or by semantic
 checks. Thus the class of accepted grammars is LL(k) for an arbitrary k.
 .
 To start Coco call cococpp, which is a shell script in /usr/bin.
